FAKER(1)

NAME
faker - command to generate fake data

DESCRIPTION
usage: faker [-h] [--version] [-v] [-o output] [-l LOCALE] [-r REPEAT]

    [-s SEP] [--seed SEED] [-i [INCLUDE ...]] [fake] [fake argument ...]

faker version 39.0.0

  positional arguments:

fake
    name of the fake to generate output for (e.g. profile)

fake argument
    optional arguments to pass to the fake (e.g. the profile fake takes an optional list of comma separated field names as the first argument)

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-v, --verbose
    show INFO logging events instead of CRITICAL, which is the default. These logging events provide insight into localization of specific providers.

-o output
    redirect output to a file

-l, --lang LOCALE
    specify the language for a localized provider (e.g. de_DE)

-r, --repeat REPEAT
    generate the specified number of outputs

-s, --sep SEP
    use the specified separator after each output

--seed SEED
    specify a seed for the random generator so that results are repeatable. Also compatible with 'repeat' option

-i, --include [INCLUDE ...]
    list of additional custom providers to user, given as the import path of the module containing your Provider class (not the provider class itself)

supported locales:

    ar_AA, ar_AE, ar_BH, ar_DZ, ar_EG, ar_JO, ar_PS, ar_SA, az_AZ, bg_BG, bn_BD, bs_BA, cs_CZ, da_DK, de, de_AT, de_CH, de_DE, de_LI, de_LU, dk_DK, el_CY, el_GR, en, en_AU, en_BD, en_CA, en_GB, en_IE, en_IN, en_KE, en_MS, en_NG, en_NZ, en_PH, en_PK, en_TH, en_US, es, es_AR, es_CA, es_CL, es_CO, es_ES, es_MX, et_EE, fa_IR, fi_FI, fil_PH, fr_BE, fr_CA, fr_CH, fr_DZ, fr_FR, fr_QC, ga_IE, gu_IN, ha_NG, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, id_ID, ig_NG, is_IS, it_CH, it_IT, ja_JP, ka_GE, ko_KR, la, lb_LU, lt_LT, lv_LV, mt_MT, ne_NP, ng_NG, nl_BE, nl_NL, no_NO, or_IN, pl_PL, pt_BR, pt_PT, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sv_SE, sw, ta_IN, th, th_TH, tl_PH, tr_TR, tw_GH, uk_UA, uz_UZ, vi_VN, yo_NG, zh_CN, zh_TW, zu_ZA

    Faker can take a locale as an optional argument, to return localized data. If no locale argument is specified, the factory falls back to the user's OS locale as long as it is supported by at least one of the providers.

    - for this user, the default locale is en_US.

    If the optional argument locale and/or user's default locale is not available for the specified provider, the factory falls back to faker's default locale, which is en_US.

examples:

    $ faker address

    968 Bahringer Garden Apt. 722 Kristinaland, NJ 09890

    $ faker -l de_DE address

    Samira-Niemeier-Allee 56 94812 Biedenkopf

    $ faker profile ssn,birthdate

    {'ssn': u'628-10-1085', 'birthdate': '2008-03-29'}

    $ faker -r=3 -s=";" name

    Willam Kertzmann; Josiah Maggio; Gayla Schmitt;